# Class UnableToDeleteFileException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.UncheckedIOException
org.gradle.api.file.UnableToDeleteFileException

All Implemented Interfaces:
  `Serializable`

public class UnableToDeleteFileException extends UncheckedIOException
Thrown by Gradle when it is unable to delete a file.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnableToDeleteFileException(File file)`

## Method Summary

Modifier and Type
Method
Description
`File`
`getFile()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnableToDeleteFileException

public UnableToDeleteFileException(File file)

## Method Details

### getFile

public File getFile()